package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 小程序配置
 *
 * @author fdh
 */
public class MiniprogramSettingDTO implements Serializable {
    /**
     *
     */
    private String miniprogramSettingId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     *
     */
    private String enterpriseId;

    /**
     *
     */
    private String miniprogramName;

    /**
     *
     */
    private String title;

    /**
     *
     */
    private String appId;

    /**
     * 封面
     */
    private String imageUrl;

    /**
     *
     */
    private String mediaId;

    /**
     *
     */
    private Date mediaTime;

    /**
     *
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer miniprogramType;

    public Integer getMiniprogramType() {
        return miniprogramType;
    }

    public void setMiniprogramType(Integer miniprogramType) {
        this.miniprogramType = miniprogramType;
    }

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.miniprogram_setting_id
     *
     * @return the value of tab_haoban_miniprogram_setting.miniprogram_setting_id
     */
    public String getMiniprogramSettingId() {
        return miniprogramSettingId;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.miniprogram_setting_id
     *
     * @param miniprogramSettingId the value for tab_haoban_miniprogram_setting.miniprogram_setting_id
     */
    public void setMiniprogramSettingId(String miniprogramSettingId) {
        this.miniprogramSettingId = miniprogramSettingId;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.wx_enterprise_id
     *
     * @return the value of tab_haoban_miniprogram_setting.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_miniprogram_setting.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.enterprise_id
     *
     * @return the value of tab_haoban_miniprogram_setting.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_miniprogram_setting.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.miniprogram_name
     *
     * @return the value of tab_haoban_miniprogram_setting.miniprogram_name
     */
    public String getMiniprogramName() {
        return miniprogramName;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.miniprogram_name
     *
     * @param miniprogramName the value for tab_haoban_miniprogram_setting.miniprogram_name
     */
    public void setMiniprogramName(String miniprogramName) {
        this.miniprogramName = miniprogramName;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.title
     *
     * @return the value of tab_haoban_miniprogram_setting.title
     */
    public String getTitle() {
        return title;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.title
     *
     * @param title the value for tab_haoban_miniprogram_setting.title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.app_id
     *
     * @return the value of tab_haoban_miniprogram_setting.app_id
     */
    public String getAppId() {
        return appId;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.app_id
     *
     * @param appId the value for tab_haoban_miniprogram_setting.app_id
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.image_url
     *
     * @return the value of tab_haoban_miniprogram_setting.image_url
     */
    public String getImageUrl() {
        return imageUrl;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.image_url
     *
     * @param imageUrl the value for tab_haoban_miniprogram_setting.image_url
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.media_id
     *
     * @return the value of tab_haoban_miniprogram_setting.media_id
     */
    public String getMediaId() {
        return mediaId;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.media_id
     *
     * @param mediaId the value for tab_haoban_miniprogram_setting.media_id
     */
    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.media_time
     *
     * @return the value of tab_haoban_miniprogram_setting.media_time
     */
    public Date getMediaTime() {
        return mediaTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.media_time
     *
     * @param mediaTime the value for tab_haoban_miniprogram_setting.media_time
     */
    public void setMediaTime(Date mediaTime) {
        this.mediaTime = mediaTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.status_flag
     *
     * @return the value of tab_haoban_miniprogram_setting.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.status_flag
     *
     * @param statusFlag the value for tab_haoban_miniprogram_setting.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_miniprogram_setting.update_time
     *
     * @return the value of tab_haoban_miniprogram_setting.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_miniprogram_setting.update_time
     *
     * @param updateTime the value for tab_haoban_miniprogram_setting.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}